import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/esm/objectWithoutPropertiesLoose";
var _excluded = ["children"];
import { createContext, useContext } from 'react';
import PropTypes from 'prop-types';
import { jsx as _jsx } from "react/jsx-runtime";
var PinInputContext = /*#__PURE__*/createContext({});

var PinInputContextProvider = function PinInputContextProvider(_ref) {
  var children = _ref.children,
      props = _objectWithoutPropertiesLoose(_ref, _excluded);

  return /*#__PURE__*/_jsx(PinInputContext.Provider, {
    value: props,
    children: children
  });
};

var usePinInputContext = function usePinInputContext() {
  return useContext(PinInputContext);
};

export { PinInputContextProvider, usePinInputContext };